org.eclipse.ease.ui.scripts.keywordhandler

## Class ToolbarHandler

- java.lang.Object
- - org.eclipse.ease.ui.scripts.keywordhandler.ToolbarHandler

All Implemented Interfaces:
  org.osgi.service.event.EventHandler

Direct Known Subclasses:
  MenuHandler, PopupHandler

    public class ToolbarHandler
    extends java.lang.Object
    implements org.osgi.service.event.EventHandler

### Nested Class Summary

Nested Classes
`static class` `ToolbarHandler.Location`

### Field Summary

Fields
`static boolean` `TRACE_UI_INTEGRATION` Trace enablement for the script UI integration.

### Constructor Summary

Constructors
Constructor and Description
`ToolbarHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleEvent(org.osgi.service.event.Event event)`
`java.util.Collection<ToolbarHandler.Location>` `toLocations(java.lang.String value)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TRACE_UI_INTEGRATION

    public static final boolean TRACE_UI_INTEGRATION

Trace enablement for the script UI integration.

### Constructor Detail

#### ToolbarHandler

    public ToolbarHandler()

### Method Detail

#### toLocations

    public java.util.Collection<ToolbarHandler.Location> toLocations(java.lang.String value)

Parameters:
  `value` -

#### handleEvent

    public void handleEvent(org.osgi.service.event.Event event)

Specified by:
  `handleEvent` in interface `org.osgi.service.event.EventHandler`